'use strict';

var rainbow = require('ansi-rainbow'),
    C = require('./palette.js'),
    title = '';

title += '    ,...             ,,          \n';
title += '  .d\' ""           `7MM          \n';
title += '  dM`                MM          \n';
title += ' mMMmm.gP"Ya    ,M""bMM  ,pP"Ybd \n';
title += '  MM ,M\'   Yb ,AP    MM  8I   `" \n';
title += '  MM 8M"""""" 8MI    MM  `YMMMa. \n';
title += '  MM YM.    , `Mb    MM  L.   I8 \n';
title += '.JMML.`Mbmmd\'  `Wbmd"MML.M9mmmP\' \n';

// title += '888888 888888 8888b.  .dP"Y8 \n';
// title += '88__   88__    8I  Yb `Ybo." \n';
// title += '88""   88""    8I  dY o.`Y8b \n';
// title += '88     888888 8888Y"  8bodP\'\n';
// title += '____________________________ \n';

/**
 * Draws a banner to console
 * @param  {[type]} task_name  [description]
 * @param  {[type]} cwd        [description]
 * @param  {[type]} show_title [description]
 * @return {[type]}            [description]
 */
function banner(task_name, cwd, show_title) {
    show_title = show_title || true;
    if (show_title) {
        console.log('\n');
        console.log(rainbow.r(title));
        console.log(' ' + C.important_info('FRONT-END DEV STACK ver. ' + C.value(require('../package.json').version)));
        console.log(' ' + C.key('Help:            '), ' ', C.value('feds --help'));
        console.log(' ' + C.key('Development task:'), ' ', C.value('feds -d'));
        console.log(' ' + C.key('Production build:'), ' ', C.value('feds -b'));
    }
    console.log('\n');
    console.log(C.key('Running command: ') + C.value(task_name));
    console.log(C.key('Working directory: ') + C.value(cwd));
    console.log('\n');
}

module.exports = banner;
