'use strict';

var banner = require('./banner');
var fse = require('fs-extra');
var chalk = require('chalk');

/**
 * Copy files or directories
 * @param  {String}   from Path from
 * @param  {String}   to   Path to
 * @param  {Function} done Callback
 */
function copy(from, to, done) {
	console.log(chalk.grey('Copy: ') + chalk.bold.white(from) + ' -> ' + chalk.bold.white(to));
	fse.copy(from, to, function (err) {
		if (err) {
			console.log(chalk.red('Error: ') + chalk.bold.white(from) + ' -> ' + chalk.bold.white(to));
			if (done) {
				done(err);
			}
			return;
		}
		console.log(chalk.green('Success: ') + chalk.bold.white(from) + ' -> ' + chalk.bold.white(to));
		if (done) {
			done();
		}
	});
}

module.exports = copy;
